Package org.jbpm.casemgmt.impl.command

## Class CaseCommentCommand

- java.lang.Object
- - org.jbpm.casemgmt.impl.command.CaseCommand<String>
  - - org.jbpm.casemgmt.impl.command.CaseCommentCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<String>`, `org.kie.api.command.ExecutableCommand<String>`

      public class CaseCommentCommand
      extends CaseCommand<String>

  Adds or removes comment to/from case
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseCommentCommand​(org.kie.internal.identity.IdentityProvider identityProvider, String commentId, String author, String updatedText, List<String> restrictedTo, AuthorizationManager authorizationManager)` |
    `CaseCommentCommand​(org.kie.internal.identity.IdentityProvider identityProvider, String author, String comment, List<String> restrictedTo)` |
    `CaseCommentCommand​(org.kie.internal.identity.IdentityProvider identityProvider, String commentId, AuthorizationManager authorizationManager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `execute​(org.kie.api.runtime.Context context)` |

    - ### Methods inherited from class org.jbpm.casemgmt.impl.command.CaseCommand

      `getCaseEventSupport, getCaseFile, getIdentityProvider, getRuntimeManager, triggerRules`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseCommentCommand

          public CaseCommentCommand​(org.kie.internal.identity.IdentityProvider identityProvider,
                                    String author,
                                    String comment,
                                    List<String> restrictedTo)

    - #### CaseCommentCommand

          public CaseCommentCommand​(org.kie.internal.identity.IdentityProvider identityProvider,
                                    String commentId,
                                    AuthorizationManager authorizationManager)

    - #### CaseCommentCommand

          public CaseCommentCommand​(org.kie.internal.identity.IdentityProvider identityProvider,
                                    String commentId,
                                    String author,
                                    String updatedText,
                                    List<String> restrictedTo,
                                    AuthorizationManager authorizationManager)

  - ### Method Detail

    - #### execute

          public String execute​(org.kie.api.runtime.Context context)